Help with error

Started by Superkota on Tue, 07/05/2022 - 08:59

Topic category: Help with modding (Java Edition)

Last seen on 08:54, 15. Aug 2022
Joined Jun 2022
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Help with error
Wed, 07/13/2022 - 13:30 (edited)

How do i fix this?

> Task :compileJava FAILED
c:/USER/Mcreatorworkspaces/animals/src/main/java/net/mcreator/animals/entity/render/Bear2render.java:104: error: cannot find symbol

public void setupAnim(T entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch) {

Edited by Superkota on Wed, 07/13/2022 - 13:30
Last seen on 08:54, 15. Aug 2022
Joined Jun 2022
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
There is something wrong in…
Tue, 07/05/2022 - 09:17

There is something wrong in the model, when i switch it to other the console stops spitting errors.

Wrong model MC version and…
Wed, 07/13/2022 - 11:35

Wrong model MC version and mappings type

The solution to this problem and many other problems can be found in our knowledge base: https://mcreator.net/support/knowledgebase Please check the knowledge base before opening a new topic on the issue which has a known fix.

Last seen on 08:54, 15. Aug 2022
Joined Jun 2022
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
But i chose 1.7 - 1.13, its…
Wed, 07/13/2022 - 13:18

But i chose 1.7 - 1.13, its for 1.12.2.

Last seen on 08:54, 15. Aug 2022
Joined Jun 2022
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
I mean i chose 1.15 - 1.16…
Wed, 07/13/2022 - 13:23

I mean i chose 1.15 - 1.16 its for 1.16.5 (Mojmaps)

i got confused because i had sooo many errors in older versions of minecraft lower than 1.17

This is wrong if you are…
Fri, 07/15/2022 - 15:14

This is wrong if you are working with 1.12.2

You need MCP mappings. Please read the pages on the link I posted

Last seen on 08:54, 15. Aug 2022
Joined Jun 2022
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Thanks it worked!
Sat, 07/23/2022 - 09:35

Thanks it worked!